POST /Command/GetDataIngestionScheduleRunningResults
Returns data ingestion schedule running results
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The D3 SOAR site to run the remote command. |
|
Integration Name |
|
Required |
Specify the integration name |
|
Data Type |
|
Optional |
Specify the type of record to fetch. (Options: “Event Intake“ or “Incident Intake“) |
|
Connection Name |
|
Optional |
Specify the connection name |
|
Site Name |
|
Optional |
Specify the name of the site |
|
Start Time |
|
Optional |
The start of the date range (UTC). Note: The start time of the fetched records will be converted from PST time zone to UTC time zone. |
|
End Time |
|
Optional |
The end of the date range (UTC). Note: The end time of the fetched records will be converted from PST time zone to UTC time zone. |
|
Record Limit |
|
Optional |
Specify the maximum number of records per schedule to be fetched. Using a positive value will order the records by newest first and using a negative value will order by oldest first. Note: A default of 100 maximum records will be returned if no value is specified. |
|
Error Only |
|
Optional |
Only fetch the records with error results |
|
Include Raw Data |
|
Optional |
Specify whether to include raw data in the output |
READER NOTE
For Date/Time parameters Start Time, End Time:
All times and timestamps are in this format: yyyy-MM-dd HH:mm:ss.
For example, May 15, 2024, 2:32 PM should be 2024-05-15 14:32:00.